GoogleDataTransport build errors in Xcode 12.0 GM for file nanopb-umbrella.h

[REQUIRED] Step 1: Describe your environment

  • Xcode version: 12.0_
  • Firebase SDK version: 6.32.2_
  • Firebase Component: _Nanopb (Auth, Core, Database, Firestore, Messaging, Storage, etc)
  • Component version: 1.30906.0_
  • Installation method: CocoaPods (select one)

[REQUIRED] Step 2: Describe the problem

Steps to reproduce:

What happened? How can we make the problem occur?
Xcode project fails to build in v12.0. multiple build errors for file nanopb-umbrella.h

Error on all of the imports. for example for the line
#import “pb.h”
the error shows as
‘Double-quoted include “pb.h” in framework header, expected angle-bracketed instead’

If you have a downloadable sample project that reproduces the bug you’re reporting, you will
likely receive a faster response on your issue.

Relevant Code:

// TODO(you): code here to reproduce the problem

1 possible answer(s) on “GoogleDataTransport build errors in Xcode 12.0 GM for file nanopb-umbrella.h